> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.heyreach.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.heyreach.io/_mcp/server.

# GetListsForLead

POST https://api//api/public/list/GetListsForLead
Content-Type: application/json

## Gets Lists for a Lead

This endpoint retrieves the lists associated with a specific lead.

**Remark:** The response will include lead lists that match the provided lead details such as email, LinkedIn ID, or profile URL.

### Body Parameters

- **email** _(string, optional)_: The email address of the lead.
    
- **linkedinId** _(string, optional)_: The LinkedIn ID of the lead.
    
- **profileUrl** _(string, optiona;)_: The LinkedIn profile URL of the lead. For example: https://www.linkedin.com/in/john_doe/
    
- **offset** _(integer)_: The number of records to skip (for pagination).
    
- **limit** _(integer)_: The maximum number of records to return.

Reference: https://docs.heyreach.io/hey-reach-api/lists/get-lists-for-lead

## Request

### Headers

- `X-API-KEY` (string, optional) — API key header using this scheme. Example: "X-API-KEY: \{API\_KEY}"

### Body (application/json)

This endpoint expects an object.

- `email` (string, required)
- `linkedinId` (string, required)
- `profileUrl` (string, required)
- `offset` (integer, required)
- `limit` (integer, required)

## Response

### 200

OK

- `totalCount` (integer, required)
- `items` (list of object, required)
  - `listId` (integer, required)
  - `listName` (string, required)

## Examples

**Request**

```json
{
  "email": "john_doe@example.com",
  "linkedinId": "121313fsdf234",
  "profileUrl": "https://www.linkedin.com/in/john_doe/",
  "offset": 0,
  "limit": 100
}
```

**Response**

```json
{
  "totalCount": 2,
  "items": [
    {
      "listId": 3457,
      "listName": "Veterans in USA"
    },
    {
      "listId": 3468,
      "listName": "Rich and Famous"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api//api/public/list/GetListsForLead"

payload = {
    "email": "john_doe@example.com",
    "linkedinId": "121313fsdf234",
    "profileUrl": "https://www.linkedin.com/in/john_doe/",
    "offset": 0,
    "limit": 100
}
headers = {
    "X-API-KEY": "<string>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api//api/public/list/GetListsForLead';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<string>', 'Content-Type': 'application/json'},
  body: '{"email":"john_doe@example.com","linkedinId":"121313fsdf234","profileUrl":"https://www.linkedin.com/in/john_doe/","offset":0,"limit":100}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api//api/public/list/GetListsForLead"

	payload := strings.NewReader("{\n  \"email\": \"john_doe@example.com\",\n  \"linkedinId\": \"121313fsdf234\",\n  \"profileUrl\": \"https://www.linkedin.com/in/john_doe/\",\n  \"offset\": 0,\n  \"limit\": 100\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<string>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api//api/public/list/GetListsForLead")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<string>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"john_doe@example.com\",\n  \"linkedinId\": \"121313fsdf234\",\n  \"profileUrl\": \"https://www.linkedin.com/in/john_doe/\",\n  \"offset\": 0,\n  \"limit\": 100\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api//api/public/list/GetListsForLead")
  .header("X-API-KEY", "<string>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"john_doe@example.com\",\n  \"linkedinId\": \"121313fsdf234\",\n  \"profileUrl\": \"https://www.linkedin.com/in/john_doe/\",\n  \"offset\": 0,\n  \"limit\": 100\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api//api/public/list/GetListsForLead', [
  'body' => '{
  "email": "john_doe@example.com",
  "linkedinId": "121313fsdf234",
  "profileUrl": "https://www.linkedin.com/in/john_doe/",
  "offset": 0,
  "limit": 100
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<string>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api//api/public/list/GetListsForLead");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<string>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email\": \"john_doe@example.com\",\n  \"linkedinId\": \"121313fsdf234\",\n  \"profileUrl\": \"https://www.linkedin.com/in/john_doe/\",\n  \"offset\": 0,\n  \"limit\": 100\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<string>",
  "Content-Type": "application/json"
]
let parameters = [
  "email": "john_doe@example.com",
  "linkedinId": "121313fsdf234",
  "profileUrl": "https://www.linkedin.com/in/john_doe/",
  "offset": 0,
  "limit": 100
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api//api/public/list/GetListsForLead")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```